xine-lib: ao_directx_t Struct Reference

xine-lib 1.2.12

Data Fields
ao_directx_t Struct Reference

## Data Fields
ao_driver_t | ao_driver
int | capabilities
xine_t * | xine
LPDIRECTSOUND | dsobj
LPDIRECTSOUNDBUFFER | dsbuffer
DSBCAPS | dsbcaps
LPDIRECTSOUNDNOTIFY | notify
DSBPOSITIONNOTIFY | notify_events [2]
long | buffer_size
int | write_status
unsigned long | write_pos
uint8_t | prebuff [6 *(16/8) *(((44100/32)+1) &~1)]
uint32_t | prebuff_size
int | bits
int | rate
int | chnn
int | frsz
int | mute
int | volume

## Field Documentation

## ◆ ao_driver

ao_driver_t ao_directx_t::ao_driver

## ◆ bits

int ao_directx_t::bits

Referenced by ao_directx_open(), and CreateSoundBuffer().

## ◆ buffer_size

long ao_directx_t::buffer_size

Referenced by ao_directx_delay(), ao_directx_write(), CreateSoundBuffer(), and FillSoundBuffer().

## ◆ capabilities

int ao_directx_t::capabilities

## ◆ chnn

int ao_directx_t::chnn

Referenced by ao_directx_num_channels(), ao_directx_open(), and CreateSoundBuffer().

## ◆ dsbcaps

DSBCAPS ao_directx_t::dsbcaps

Referenced by CreateSoundBuffer().

## ◆ dsbuffer

LPDIRECTSOUNDBUFFER ao_directx_t::dsbuffer

Referenced by ao_directx_delay(), ao_directx_set_property(), CreateSoundBuffer(), DestroySoundBuffer(), and FillSoundBuffer().

## ◆ dsobj

LPDIRECTSOUND ao_directx_t::dsobj

Referenced by CreateDirectSound(), CreateSoundBuffer(), and DestroyDirectSound().

## ◆ frsz

int ao_directx_t::frsz

Referenced by ao_directx_bytes_per_frame(), ao_directx_delay(), ao_directx_write(), and CreateSoundBuffer().

## ◆ mute

int ao_directx_t::mute

Referenced by ao_directx_set_property().

## ◆ notify

LPDIRECTSOUNDNOTIFY ao_directx_t::notify

Referenced by CreateSoundBuffer(), and DestroySoundBuffer().

## ◆ notify_events

DSBPOSITIONNOTIFY ao_directx_t::notify_events[2]

Referenced by ao_directx_write(), CreateSoundBuffer(), and DestroySoundBuffer().

## ◆ prebuff

uint8_t ao_directx_t::prebuff[ 6 *(16/8) *(((44100/ 32)+1) &~1)]

Referenced by ao_directx_write().

## ◆ prebuff_size

uint32_t ao_directx_t::prebuff_size

Referenced by ao_directx_delay(), and ao_directx_write().

## ◆ rate

int ao_directx_t::rate

Referenced by ao_directx_open(), and CreateSoundBuffer().

## ◆ volume

int ao_directx_t::volume

Referenced by ao_directx_set_property(), and FillSoundBuffer().

## ◆ write_pos

unsigned long ao_directx_t::write_pos

Referenced by ao_directx_delay(), and ao_directx_write().

## ◆ write_status

int ao_directx_t::write_status

Referenced by ao_directx_write(), and FillSoundBuffer().

## ◆ xine

xine_t* ao_directx_t::xine

Referenced by ao_directx_open(), and ao_directx_set_property().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/audio_out/audio_directx_out.c